#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>
#include "hd44780.h"

int main (void)
{
    lcd_init();
    
    lcd_clrscr();
    lcd_puts("Hello World...");    

    lcd_goto(40);                    //Position 40 is the start of line 2
    char digit[1];
    for (int i=0;i<16;i++)
    {
    	_delay_ms(250);
    	itoa(i,digit,16);
    	lcd_puts(digit);
    }

    _delay_ms(1000);
    lcd_clrscr();
    
    lcd_puts("Goodbye");   
    _delay_ms(2000);
    lcd_clrscr();
    
    return(0);
}
